Summary:	Map view for Clutter
Name:		libchamplain
Version:	0.2.9
Release:	1%{?dist}
License:	LGPLv2+
Group:		System Environment/Libraries
URL:		http://blog.pierlux.com/projects/libchamplain/en/
Source0:	http://libchamplain.pierlux.com/release/latest/%{name}-%{version}.tar.gz

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: 	clutter-cairo-devel >= 0.8
BuildRequires: 	libsoup-devel

%description
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries

%if 0%{?fc10}
Requires:	clutter-devel >= 0.8
Requires:	pkgconfig
%endif

Requires:	gtk-doc
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%prep
%setup -q

sed --in-place --expression 's/^#include <config.h>//g' ./demos/launcher.c

%build
%configure --disable-static --enable-gtk-doc

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -delete

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog
%doc COPYING
%doc NEWS
%{_libdir}/%{name}-0.2.so.*

%dir %{_datadir}/champlain
%{_datadir}/champlain/error.svg

%files devel
%defattr(-,root,root,-)
%doc demos/launcher.c
%{_libdir}/%{name}-0.2.so
%{_libdir}/pkgconfig/champlain-0.2.pc

%dir %{_datadir}/gtk-doc/html/libchamplain
%doc %{_datadir}/gtk-doc/html/libchamplain/*

%dir %{_includedir}/%{name}-0.2
%{_includedir}/%{name}-0.2/champlain

%changelog
* Wed Mar 18 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.2.9-1
- Version bump to 0.2.9.
  * Fixed elastic effect.
  * Reduced exported symbols.

* Wed Feb 25 2009 Release Engineering <rel-eng@fedoraproject.org> - 0.2.8-3
- Autorebuild for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 28 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.2.8-2
- Removed 'Requires: clutter-devel >= 0.8 pkgconfig' from libchamplain-devel
  for all distributions, except Fedora 10.
- Fixed sample code to not use generic headers.

* Wed Jan 14 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.2.8-1
- Initial build. Imported SPEC from openSUSE.
  * Added a new constructor for ChamplainMarkers made of an image.
  * Double clicking on the map will now zoom and recenter.
  * When resizing a ChamplainView, the centered content will still be
    centered after the resizing. Can be disabled.
  * The Map's license is displayed by default on the lower right corner. 
  * Fixed map centering on startup.
  * Fixed missing zoom level in OpenStreetMap Mapnik.
  * Fixed zooming and centering behaviour. (GNOME Bugzilla #558026)
